import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, o = (p, e, i, r) => {
  for (var t = r > 1 ? void 0 : r ? m(e, i) : e, h = p.length - 1, l; h >= 0; h--)
    (l = p[h]) && (t = (r ? l(e, i, t) : l(t)) || t);
  return r && t && f(e, i, t), t;
};
let s = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--userHighlight", this.class = "c-pieIcon c-pieIcon--userHighlight", this.name = "IconUserHighlight";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--userHighlight"><path d="M8.656 1.875H7.344V4.5h1.312V1.875Z"></path><path d="m11.04 3.085-1.003 2.003 1.174.587 1.003-2.002-1.174-.588Z"></path><path d="m4.961 3.082-1.174.587L4.79 5.673l1.173-.588-1.002-2.003Z"></path><path d="M12.261 12.76a3.29 3.29 0 0 0-2.441-2.047l.087-.07a2.695 2.695 0 0 0 0-3.824 2.774 2.774 0 0 0-3.815 0 2.695 2.695 0 0 0 0 3.824l.088.07a3.29 3.29 0 0 0-2.441 2.047l-.499 1.365h1.4l.332-.875a2.022 2.022 0 0 1 1.943-1.26h2.17a2.02 2.02 0 0 1 1.942 1.26l.333.875h1.4l-.499-1.365Zm-5.25-5.014a1.435 1.435 0 0 1 1.96 0 1.391 1.391 0 1 1-1.96 0Z"></path></svg>`;
  }
};
o([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
o([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = o([
  g("icon-user-highlight")
], s);
export {
  s as IconUserHighlight
};
